### Method

# Fwupd Client ensure_networking

since: 1.4.5

#### Declaration [src]

    gboolean
    fwupd_client_ensure_networking (
      FwupdClient* self
      GError** error
    )

#### Description [src]

Sets up the client networking support ready for use. Most other download and upload methods call this automatically, and do you only need to call this if the session is being used outside the `FwupdClient`.

Available since: 1.4.5

#### Return value

Type: `gboolean`

`TRUE` for success.